#178 Eclipse Interactions Pane nonfunctional in Mac OS X 10.5?

open
nobody
5
2014-08-25
2007-11-18
No

As far as I can tell, when I upgraded to Mac OS X 10.5 "Leopard", the DrJava Eclipse Plugin's interactions pane has ceased to function.

The interactions pane does not appear, and when I go to Window -> Show View -> Other... and select DrJava -> Interactions Pane, an error message appears in Eclipse and my console gets dumped with stack traces (which I have attached).

I have tried reinstalling Eclipse, using a different Workspace, reinstalling the plugin. None of my attempts have been sucessful. DrJava's interactions pane (and the DrJava.app) still continue to work.

Is this a known/reproducable bug? Or is my computer just messed up?

Thanks for any assistance!

The punchline of the stack traces are:
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] java.lang.InternalError: Can't start the AWT because Java was started on the first thread. Make sure StartOnFirstThread is not specified in your application's Info.plist or on the command line
[snipped]
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at java.lang.Class.forName(Class.java:164)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.config.OptionMapLoader.class$(OptionMapLoader.java)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.config.OptionMapLoader.<clinit>(OptionMapLoader.java:61)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.config.SavableConfiguration.loadConfiguration(SavableConfiguration.java:69)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.config.FileConfiguration.loadConfiguration(FileConfiguration.java:70)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.DrJava._initConfig(DrJava.java:260)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.DrJava.<clinit>(DrJava.java:108)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.model.repl.newjvm.MainJVM.startInterpreterJVM(MainJVM.java:640)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.plugins.eclipse.repl.EclipseInteractionsModel.<init>(EclipseInteractionsModel.java:127)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.plugins.eclipse.repl.EclipseInteractionsModel.<init>(EclipseInteractionsModel.java:98)
11/18/07 12:13:06 AM [0x0-0x10f10f].org.eclipse.eclipse[55591] at edu.rice.cs.drjava.plugins.eclipse.views.InteractionsView.createPartControl(InteractionsView.java:183)

Discussion

  • Max Beckman-Harned

    • status: open --> closed
     
  • Max Beckman-Harned

    Logged In: YES
    user_id=445286
    Originator: YES

    See Apple's website for more information:
    <http://lists.apple.com/archives/java-dev/2007/Nov/msg00368.html>

    The Eclipse bug report is here:
    <https://bugs.eclipse.org/bugs/show_bug.cgi?id=199020>

    This is a bug in Eclipse / Mac OS X 10.5 and is fixed in Eclipse 3.3.2 (patches / nightly builds available)

     
  • Max Beckman-Harned

    • status: closed --> open
     

Log in to post a comment.